function Gunner15:Create(me)
	SetHealth(me,1)	
	SetPower(me,0)
	ChangeAnimation(me,"Stand")
end

function Gunner15:Update(me)
	SetDirection(me, -1)

	if IsPlaying(me,"Stand")
	then
		local playerX = GetPlayerX(me)
		local playerY = GetPlayerY(me)
	
		local playerDistance = DistanceToTarget(me, playerX, playerY)

		if playerDistance <= 128
		then
			ChangeAnimation(me,"Attack")
		end
	elseif IsPlaying(me,"Attack")
	then
		child = CreateObject(me,"EnemyCollider3","EnemyWeapons",0,0,false)
		SetPosition(child,GetPosition(me))
		SetDirection(child,GetDirection(me))
		OffsetObject(child,32*GetDirection(me),0)

		if EndOfAnimation(me)
		then

			ChangeAnimation(me,"Stand")
		end
	end
end